<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:landxml="http://www.landxml.org/schema/LandXML-1.2" xmlns:hexagon="http://xml.hexagon.com/schema/HeXML-1.6" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" version="1.0" encoding="UTF-16" indent="no" omit-xml-declaration="yes"/>
																						
<!-- This is a sample Leica Viva stylesheet.   -->
                                                                                      
<xsl:variable name="XML" select="/"/>
<xsl:variable name="fileExt" select="'txt'"/>
<xsl:variable name="fileDesc" select="'Output pointno, easting, northing, and ortho height to three decimal places.'"/>

<xsl:template match="/">  
<xsl:for-each select="$XML">
	<xsl:for-each select="landxml:LandXML">
		<xsl:for-each select="hexagon:HexagonLandXML">
			<xsl:for-each select="hexagon:Point">
				<xsl:for-each select="@uniqueID">
					<xsl:value-of select="string(.)"/>
					<xsl:text>,</xsl:text>
				</xsl:for-each>
			<xsl:for-each select="hexagon:Coordinates">
				<xsl:for-each select="hexagon:Local">
					<xsl:for-each select="hexagon:Grid">
						<xsl:for-each select="@e">
							<xsl:value-of select='format-number(., "########.000")' />
							<xsl:text>,</xsl:text>
						</xsl:for-each>
						<xsl:for-each select="@n">
							<xsl:value-of select='format-number(., "########.000")' />
							<xsl:text>,</xsl:text>
						</xsl:for-each>
						<xsl:for-each select="@hghthO">
							<xsl:value-of select='format-number(., "########.000")' />
							<xsl:text>,</xsl:text>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:text>&#10;</xsl:text>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>